## libvdeslirp 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project("vdeslirp"
    DESCRIPTION "libslirp for Linux made easy peasy"
    HOMEPAGE_URL "https://github.com/rd235/libvdeslirp"
    VERSION 0.1.0
    LANGUAGES C)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

include(GNUInstallDirs)
include(CheckIncludeFile)
include(CheckSymbolExists)

set(LIBS_REQUIRED slirp pthread)
set(HEADERS_REQUIRED libvdeplug.h slirp/libslirp.h)
set(CMAKE_REQUIRED_QUIET TRUE)
set(CMAKE_REQUIRED_LIBRARIES slirp)

check_symbol_exists("slirp_add_exec" "slirp/libslirp.h" HAS_ADD_EXEC)
check_symbol_exists("slirp_add_unix" "slirp/libslirp.h" HAS_ADD_UNIX)
check_symbol_exists("slirp_remove_guestfwd" "slirp/libslirp.h" HAS_REMOVE_GUESTFWD)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(LIB${THISLIB}_OK ${THISLIB})
  if(NOT LIB${THISLIB}_OK)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK)
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(vdeslirp SHARED libvdeslirp.c)
target_link_libraries(vdeslirp -lslirp -lpthread)

set_target_properties(vdeslirp PROPERTIES VERSION ${PROJECT_VERSION}
		SOVERSION ${PROJECT_VERSION_MAJOR})

configure_file(vdeslirp.pc.in vdeslirp.pc @ONLY)
configure_file(config.h.in config.h)

install(TARGETS vdeslirp DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES libvdeslirp.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/slirp)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vdeslirp.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
libvdeslirp (0.1.0-2) unstable; urgency=medium

  * d/copyright: Fix manpages copyright

 -- Andrea Capriotti <capriott@debian.org>  Sun, 26 Apr 2020 11:26:58 +0200

libvdeslirp (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #948170)

 -- Renzo Davoli <renzo@cs.unibo.it>  Fri, 03 Jan 2020 17:38:11 +0100

=== debian/control ===
Source: libvdeslirp
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Andrea Capriotti <capriott@debian.org>, Renzo Davoli <renzo@cs.unibo.it>
Build-Depends: debhelper-compat (= 12), cmake (>= 3.12), libslirp-dev, libvdeplug-dev
Standards-Version: 4.4.1
Section: libs
Homepage: http://wiki.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvdeslirp
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvdeslirp.git

Package: libvdeslirp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libvdeslirp0 (= ${binary:Version}), ${misc:Depends}
Description: libslirp for Linux made easy peasy - development
 libslirp is a user-mode networking library used by virtual machines,
 containers or various tools.  This project wraps the libslirp code in a
 library featuring a clean and simple interface.
 .
 libvdeslirp implements the abstraction of virtual ethernet
 interface: after vdeslirp_open, a program can send/receive
 ethernet packets by vdeslirp_send and vdeslirp_recv as if it
 were using a tap interface.
 .
 This package contains the library

Package: libvdeslirp0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libslirp0, libvdeplug2
Description: libslirp for Linux made easy peasy
 libslirp is a user-mode networking library used by virtual machines,
 containers or various tools.  This project wraps the libslirp code in a
 library featuring a clean and simple interface.
 .
 libvdeslirp implements the abstraction of virtual ethernet
 interface: after vdeslirp_open, a program can send/receive
 ethernet packets by vdeslirp_send and vdeslirp_recv as if it
 were using a tap interface.
 .
 This package contains the development files for libvdestack

## libvdeslirp 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("vdeslirp"
     DESCRIPTION "libslirp for Linux made easy peasy"
     HOMEPAGE_URL "https://github.com/rd235/libvdeslirp"
-    VERSION 0.1.0
+    VERSION 0.1.1
     LANGUAGES C)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

=== debian/changelog ===
libvdeslirp (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Don't hard-code dependencies on shared libraries.  Closes: #1068080
  * Drop a bunch of boilerplate from d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Apr 2024 06:27:03 +0200

libvdeslirp (0.1.1-1) unstable; urgency=medium

  * New Upstream Release
  * d/rules: Fix dh_auto_install syntax
  * d/control: Add Rules-Requires-Root
  * d/control: Bump Standard version to 4.5.1
  * d/control: Bump debhelper compatibility level to 13

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 20:44:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,29 @@
 Source: libvdeslirp
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
-Uploaders: Andrea Capriotti <capriott@debian.org>, Renzo Davoli <renzo@cs.unibo.it>
-Build-Depends: debhelper-compat (= 12), cmake (>= 3.12), libslirp-dev, libvdeplug-dev
-Standards-Version: 4.4.1
+Uploaders:
+ Andrea Capriotti <capriott@debian.org>,
+ Renzo Davoli <renzo@cs.unibo.it>,
+Build-Depends:
+ cmake (>= 3.12),
+ debhelper-compat (= 13),
+ libslirp-dev,
+# libvdeplug seems to be required by cmake, but not actually used by anything else
+ libvdeplug-dev,
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://wiki.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvdeslirp
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvdeslirp.git
+Rules-Requires-Root: no
 
 Package: libvdeslirp-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libvdeslirp0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libvdeslirp0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: libslirp for Linux made easy peasy - development
  libslirp is a user-mode networking library used by virtual machines,
  containers or various tools.  This project wraps the libslirp code in a
@@ -29,7 +39,9 @@
 Package: libvdeslirp0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libslirp0, libvdeplug2
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: libslirp for Linux made easy peasy
  libslirp is a user-mode networking library used by virtual machines,
  containers or various tools.  This project wraps the libslirp code in a

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdeslirp-$1.tar.gz%" \
   https://github.com/virtualsquare/libvdeslirp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
